<div style="margin-bottom: 15px;">
    <!-- <h5>
       <span jhiTranslate="mpmApp.stockOpnameItem.home.title">Stock Opname Items</span>
    </h5> -->
    <p-dataTable [value]="stockOpnameItems" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems" [responsive]="true" [lazy]="true" dataKey="idStockopnameItem" expandableRows="false" rowHover="true"
        (onLazyLoad)="loadDataLazy($event)" (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="process()" href="javascript:void(0)" style="cursor: pointer;">
                        <i class="fa fa-dot-circle-o"></i> &nbsp;{{ 'entity.action.process' | translate }}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['stock-opname-item-new'] } }]">
                        <i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                </li>
            </ul>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch"
                        placeholder="{{ 'mpmApp.stockOpnameItem.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body"> {{rowIndex + 1}} </ng-template>
        </p-column>
        <!-- <p-column header="{{'mpmApp.stockOpnameItem.itemDescription'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body"> {{rowData.itemDescription}} </ng-template>
        </p-column> -->
        <p-column header="{{'mpmApp.stockOpnameItem.tagNumber'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body"> {{rowData.tagNumber}} </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.stockOpnameItem.partNumber'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body"> {{rowData.partNumber}} </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.stockOpnameItem.product'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.productId">
                    <a [routerLink]="['../product', rowData.productId  ]">{{rowData.productName}}</a>
                    <!-- Nama Part -->
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.stockOpnameItem.container'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.containerId">
                    <a [routerLink]="['../container', rowData.containerId  ]">{{rowData.containerId}}</a>
                    <!-- Rak -->
                </div>
            </ng-template>
        </p-column>
        <p-column *ngIf="currentStatus == 20" header="{{'mpmApp.stockOpnameItem.qty'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body"> {{rowData.qty | number}} </ng-template>
        </p-column>
        <p-column *ngIf="currentStatus == 50" header="{{'mpmApp.stockOpnameItem.qtyCount'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body"> {{rowData.qtyCount | number}} </ng-template>
        </p-column>
        <p-column *ngIf="currentStatus == 20 || currentStatus == 30 || currentStatus == 40" header="{{'mpmApp.stockOpnameItem.qtyAdj'|translate}}"
            [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body"> {{rowData.qtyAdj | number}} </ng-template>
        </p-column>
        <p-column *ngIf="currentStatus == 20 || currentStatus == 50" header="{{'mpmApp.stockOpnameItem.diff'|translate}}"
            [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body"> {{rowData.diff | number}} </ng-template>
        </p-column>
        <!-- <p-column header="{{'mpmApp.stockOpnameItem.hasChecked'|translate}}" [style]="{'width': '60px', 'text-align': 'center'}">>
            <ng-template let-rowData="rowData" pTemplate="body">
                <i *ngIf="!rowData.hasChecked" class="fa fa-check"></i>
            </ng-template>
        </p-column> -->
        <p-column *ngIf="currentStatus == 20 || currentStatus == 50" header="{{'mpmApp.stockOpnameItem.het'|translate}}"
            [style]="{'width': '120px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body"> {{rowData.het | number}} </ng-template>
        </p-column>
        <p-column *ngIf="currentStatus == 20 || currentStatus == 50" header="{{'mpmApp.stockOpnameItem.diffAmount'|translate}}"
            [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body"> {{rowData.diffAmount | number}} </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.stockOpnameItem.unit'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body"> {{rowData.unit | number}} </ng-template>
        </p-column>
        <!-- <p-column header="{{'mpmApp.stockOpnameItem.owner'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.ownerId">
                    <a [routerLink]="['../stock-opname', rowData.ownerId  ]">{{rowData.ownerId}}</a>
                </div>
            </ng-template>
        </p-column> -->
        <p-column *ngIf="true" header="{{'global.field.action'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <!-- <button pButton type="submit"
                        [routerLink]="['../stock-opname-item', rowData.idStockopnameItem]"
                        icon="fa-eye"
                        class="flat-button">
                </button> -->
                <button pButton type="submit" [routerLink]="['/', { outlets: { popup: 'stock-opname-item/'+ rowData.idStockopnameItem + '/edit'} }]"
                    replaceUrl="true" icon="fa-pencil" class="flat-button"> </button>
                <button pButton type="submit" (click)="delete(rowData.idStockopnameItem)" icon="fa-remove" class="flat-button">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion"> </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>
<p-confirmDialog></p-confirmDialog>
